classification
Title: futures.ProcessPoolExecutor hangs
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: bquinlan Nosy List: bquinlan, pclinch, python-dev
Priority: normal Keywords:

Created on 2011-02-09 18:03 by pclinch, last changed 2013-10-26 19:12 by berker.peksag. This issue is now closed.

Messages (3)
msg128228 - (view) Author: paul clinch (pclinch) Date: 2011-02-09 18:03
The example ``16.4.3.1. ProcessPoolExecutor Example`` hangs in IDLE silently,  and hangs the interactive python shell with ``AttributeError: 'module' object has no attribute 'is_prime'``.

is_prime(9) was tested before running.

Platform is windows XP.

``c:\Python32\python.exe -m test.test_concurrent_futures``

passes all tests.
msg128241 - (view) Author: Brian Quinlan (bquinlan) * (Python committer) Date: 2011-02-09 21:08
ProcessPoolExecutor is not expected to work with any interactive shell on Windows because it uses the multiprocessing module behind the scenes, which has that limitation.

I'm reclassifying this as a documentation bug since either a reference to http://docs.python.org/dev/library/multiprocessing.html#programming-guidelines should appear in the futures docs or (better) the content should be rewritten specifically for ProcessPoolExecutor.
msg201266 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-25 17:51
New changeset 44b69e95d276 by bquinlan in branch 'default':
Issue #11161: Update the documentation for ProcessPoolExecutor to note that it will not work in the interactive shell.
http://hg.python.org/cpython/rev/44b69e95d276
History
Date User Action Args
2013-11-11 12:58:20sbtlinkissue17874 superseder
2013-10-26 19:12:18berker.peksagsetstage: resolved
versions: + Python 3.4, - Python 3.2
2013-10-25 17:53:53bquinlansetstatus: open -> closed
resolution: fixed
2013-10-25 17:51:28python-devsetnosy: + python-dev
messages: + msg201266
2011-02-09 21:08:20bquinlansetnosy: bquinlan, pclinch
messages: + msg128241
components: + Documentation, - IDLE
2011-02-09 19:22:13brian.curtinsetassignee: bquinlan

nosy: + bquinlan
2011-02-09 18:03:18pclinchcreate